ToJsonFct (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.functions

## Class ToJsonFct

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.NativeFunction
    - - org.apache.cassandra.cql3.functions.NativeScalarFunction
      - - org.apache.cassandra.cql3.functions.ToJsonFct

- All Implemented Interfaces:
    AssignmentTestable, Function, ScalarFunction

      public class ToJsonFct
      extends NativeScalarFunction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FunctionName` | `NAME`

    - ### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, name, returnType`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `execute(int protocolVersion, java.util.List<java.nio.ByteBuffer> parameters)` Applies this function to the specified parameter.
    `static ToJsonFct` | `getInstance(java.util.List<AbstractType<?>> argTypes)`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.NativeScalarFunction

      `isAggregate, isCalledOnNullInput`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.NativeFunction

      `isNative`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, equals, getFunctions, hashCode, hasReferenceTo, name, returnType, testAssignment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `argTypes, getFunctions, hasReferenceTo, isNative, name, returnType`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Field Detail

    - #### NAME

          public static final FunctionName NAME

  - ### Method Detail

    - #### getInstance

          public static ToJsonFct getInstance(java.util.List<AbstractType<?>> argTypes)
                                       throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### execute

          public java.nio.ByteBuffer execute(int protocolVersion,
                                             java.util.List<java.nio.ByteBuffer> parameters)
                                      throws InvalidRequestException

      Description copied from interface: `ScalarFunction`
      Applies this function to the specified parameter.
      Parameters:
        `protocolVersion` - protocol version used for parameters and return value
        `parameters` - the input parameters
      Returns:
        the result of applying this function to the parameter
      Throws:
        `InvalidRequestException` - if this function cannot not be applied to the parameter

Copyright © 2018 The Apache Software Foundation